
<?php


if(isset($_POST["codigo"])){

    $codigo=$_POST["codigo"];
    $ubicacion1=$_POST["ubicacion1"];
    $ubicacion2=$_POST["ubicacion2"];
    $bodega=$_POST["bodega"];

    $ubi =new ubicaciones();
    $cambiar=$ubi->cambiarubicacion($ubicacion1,$ubicacion2,$codigo,$bodega);
    
}


class ubicaciones{


    function __construct()
    {
        include("../conexion/conexion.php");
        $conn=new conexion();
        $this->conectar=$conn->conectar();
        
    
    }




    function cambiarubicacion($ubicacion1,$ubicacion2,$codigo,$bodega){
      

        if($ubicacion1!="" && $ubicacion2!=""){
            $actuli="UPDATE `inventarios` SET `ubicacion1`='$ubicacion1',`ubicacion2`='$ubicacion2' WHERE idbodega=$bodega and codigoProd='$codigo'";
            $ejecut=$this->conectar->query($actuli);
           
            if($ejecut){
               
                echo("Cambio realizado");

            }else{
                
                echo($ejecut);
            }

        }elseif($ubicacion1!="" && $ubicacion2==""){
            $actuli="UPDATE `inventarios` SET `ubicacion1`='$ubicacion1' WHERE idbodega=$bodega and codigoProd='$codigo'";
            $ejecut=$this->conectar->query($actuli);
           
            if($ejecut){
               
                echo("Cambio realizado");

            }else{
                
                echo($ejecut);
            }
            
        }elseif($ubicacion2!="" && $ubicacion1==""){
            $actuli="UPDATE `inventarios` SET `ubicacion2`='$ubicacion2' WHERE idbodega=$bodega and codigoProd='$codigo'";
            $ejecut=$this->conectar->query($actuli);
           
            if($ejecut){
               
                echo("Cambio realizado");

            }else{
                
                echo($ejecut);
            }


    }
}

}








?>